﻿local name, addon = ...

local tostring = tostring

addon.name = name
addon.name2 = "MiniLoot"
addon.name3 = "ML"
addon.version = GetAddOnMetadata(addon.name, "Version")
addon.build = addon.version:gsub("[^%d]", "")

addon.L = setmetatable({}, {__index=function(_, key)
  return "|TInterface\\PVPFrame\\Icons\\PVP-Banner-Emblem-85:0:0:0:0|t"..tostring(key) -- if this happens then it's missing the entry for this key
end})

local L, locale = addon.L, GetLocale()
addon.locale = locale

L["CHAT_NO_LOOT"] = "no loot"
L["CHAT_ROLL"] = "Roll"
L["CHAT_ROLL_D"] = "D"
L["CHAT_ROLL_G"] = "G"
L["CHAT_ROLL_N"] = "N"
L["CHAT_ROLL_P"] = "P"
L["CHAT_SETTINGS_RESET"] = "Note that %s had to reset %d setting(s) due to various reasons. This may happen when you update the addon, in that case please check the addon configurations as some may have been reset to default value."
L["CHAT_WON"] = "won!"
L["INT_EXTRA"] = "Extra"
L["INT_EXTRA_CLASSCOLORS_LABEL"] = "Color names by class"
L["INT_EXTRA_CLASSCOLORS_TOOLTIP"] = "Color player names by their class."
L["INT_EXTRA_DESC"] = "Not perhaps a major aspect of the addon, but may be helpful."
L["INT_EXTRA_LOOTCOUNT_LABEL"] = "Show loot-count"
L["INT_EXTRA_LOOTCOUNT_TOOLTIP"] = "Append number of items owned behind each looted item."
L["INT_EXTRA_MAILBOX_LABEL"] = "Mailbox loot"
L["INT_EXTRA_MAILBOX_TOOLTIP"] = "Mailbox looting will be shown in the chat."
L["INT_EXTRA_MOUSEOVER_ANCHOR_LABEL"] = "Anchor to the chat"
L["INT_EXTRA_MOUSEOVER_ANCHOR_TOOLTIP"] = [=[Anchor the mouseover tooltip to the top
of the chat frame.]=]
L["INT_EXTRA_MOUSEOVER_ICON_LABEL"] = "Show tooltip icon"
L["INT_EXTRA_MOUSEOVER_ICON_TOOLTIP"] = "Shows an icon on the side of the tooltip."
L["INT_EXTRA_MOUSEOVER_LINKS_LABEL"] = "Show mouseover links"
L["INT_EXTRA_MOUSEOVER_LINKS_TOOLTIP"] = [=[For example when you mouseover an item
the tooltip is shown without clicking it.]=]
L["INT_EXTRA_ORIGINAL_LOOT_BUTTON"] = "Create this window!"
L["INT_EXTRA_ORIGINAL_LOOT_LABEL"] = "Original loot chat"
L["INT_EXTRA_ORIGINAL_LOOT_TOOLTIP"] = "This will create an additional chat frame."
L["INT_EXTRA_PETBATTLE_LABEL"] = "Pet Battle combat"
L["INT_EXTRA_PETBATTLE_TOOLTIP"] = [=[Pet Battle combat messages are printed
in a more minimalistic fashion.]=]
L["INT_EXTRA_TITLE"] = "Extra features"
L["INT_EXTRA_TRADE_LABEL"] = "Trade loot"
L["INT_EXTRA_TRADE_TOOLTIP"] = [=[Trade looting (receiving money and items)
will be shown in the chat.]=]
L["INT_FILTER"] = "Filter"
L["INT_FILTER_DESC"] = "Decide what you see and what is hidden and ignored."
L["INT_FILTER_HIDE_EVENTS_LABEL"] = "Hide these events"
L["INT_FILTER_HIDE_JUNK_LABEL"] = "Hide all junk loot"
L["INT_FILTER_HIDE_JUNK_TOOLTIP"] = "Items of poor quality will not be shown."
L["INT_FILTER_HIDE_PARTY_LABEL"] = "Hide party loot"
L["INT_FILTER_HIDE_QUALITY_LABEL"] = "Quality threshold"
L["INT_FILTER_HIDE_QUALITY_TOOLTIP"] = "Hide items below specific quality."
L["INT_FILTER_HIDE_SELF_LABEL"] = "Hide own loot"
L["INT_FILTER_LABEL"] = "Filter settings"
L["INT_LOOT_HIDE_ALL"] = "Hide all"
L["INT_MINILOOT_DESC"] = "Set custom font-size if you wish, or change what chat frame the loot is written to."
L["INT_MINILOOT_FONTSIZE_DEMO"] = "Did the new size fit?"
L["INT_MINILOOT_FONTSIZE_LABEL"] = "Font size"
L["INT_MINILOOT_FONTSIZE_TOOLTIP"] = "Enter \"0\" to let the game decide."
L["INT_MINILOOT_LABEL"] = "MiniLoot settings"
L["INT_MINILOOT_OUTPUT_DEMO"] = "This message should have been shown in %s."
L["INT_MINILOOT_OUTPUT_LABEL"] = "Output chat"
L["INT_MINILOOT_OUTPUT_TOOLTIP"] = [=[The reports will be printed in this chat.
If what you enter is not valid the value will
reset to default.

"ChatFrame2" would print in the Combat log,
"ChatFrame3" would print in a custom chat
you made that is next to the Combat log,
and so forth.

Use "/fstack" to find the name of a frame
you are hover over with your mouse.]=]
L["INT_ROLL"] = "Roll"
L["INT_ROLL_DECISIONS_LABEL"] = "Show roll decisions"
L["INT_ROLL_DECISIONS_LFR_LABEL"] = "Hide roll decisions in LFR"
L["INT_ROLL_DECISIONS_LFR_TOOLTIP"] = "Overrides above option and hides roll decisions in the Raid Finder."
L["INT_ROLL_DECISIONS_TOOLTIP"] = "The need/greed decisions are instantly shown."
L["INT_ROLL_DESC"] = "Change the roll handling behavior."
L["INT_ROLL_ICONS_LABEL"] = "Show rolls as icons"
L["INT_ROLL_ICONS_TOOLTIP"] = "Instead of item links, will show icons at roll related events."
L["INT_ROLL_LABEL"] = "Roll settings"
L["INT_ROLL_SUMMARY_LABEL"] = "Show roll summary"
L["INT_ROLL_SUMMARY_LFR_LABEL"] = "Hide roll summary in LFR"
L["INT_ROLL_SUMMARY_LFR_TOOLTIP"] = "Overrides above option and hides the roll results in the Raid Finder."
L["INT_ROLL_SUMMARY_TOOLTIP"] = [=[Prints the roll results in one line together
with the rest of the report.]=]
L["INT_TIMER"] = "Timer"
L["INT_TIMER_DESC"] = "Change how quickly the summary is shown and interval that data is gathered."
L["INT_TIMER_LABEL"] = "Timer settings"
L["INT_TIMER_SLEEP_COMBAT_LABEL"] = "Sleep after combat"
L["INT_TIMER_SLEEP_COMBAT_TOOLTIP"] = [=[For example "1.5" would make the addon
wait for 1.5 seconds before printing the report
This gives you time to finish looting
after combat ends, before reporting.

Use "-1" to skip combat checking and only
use between events sleep timer. Using "0"
will only instantly display after combat,
not during.]=]
L["INT_TIMER_SLEEP_EVENTS_LABEL"] = "Sleep between events"
L["INT_TIMER_SLEEP_EVENTS_TOOLTIP"] = [=[Each time there is an event like item loot,
experience gain, honor gain and such, the addon
waits for a moment to make sure no more events
will come, then when it's "safe" it will report
the findings and await new information.

This timer will decide how long it waits between
an event and until the next one, if no next event
then it reports and continues as normal.]=]
L["POPUP_CHAT_FRAME_OVERWRITE"] = [=[The chat window "%s" already exists.
Are you sure you wish to overwrite it?

By overwriting it will reset the messages it shows to default. (Messages like experience, honor, money, reputation, and many others.)]=]

if locale == "deDE" then -- German
L["CHAT_NO_LOOT"] = "keine beute" -- Needs review
L["CHAT_ROLL"] = "Wurf um" -- Needs review
L["CHAT_ROLL_D"] = "E" -- Needs review
L["CHAT_ROLL_G"] = "G" -- Needs review
L["CHAT_ROLL_N"] = "B" -- Needs review
L["CHAT_ROLL_P"] = "P" -- Needs review
L["INT_EXTRA_LOOTCOUNT_LABEL"] = "Zeige Beutezähler" -- Needs review
L["INT_EXTRA_MOUSEOVER_ANCHOR_LABEL"] = "Am Chat verankern" -- Needs review
L["INT_EXTRA_MOUSEOVER_ANCHOR_TOOLTIP"] = "Den mouseover tooltip oben am Chat verankern." -- Needs review
L["INT_EXTRA_MOUSEOVER_ICON_LABEL"] = "Zeige Icon am Tooltip" -- Needs review
L["INT_EXTRA_MOUSEOVER_LINKS_LABEL"] = "Zeige mouseover links" -- Needs review
L["INT_FILTER"] = "Filter" -- Needs review
L["INT_FILTER_HIDE_EVENTS_LABEL"] = "Verstecke diese Abläufe" -- Needs review
L["INT_FILTER_HIDE_JUNK_LABEL"] = "Verstecke Graue Beute" -- Needs review
L["INT_FILTER_HIDE_JUNK_TOOLTIP"] = "Alle Items mit Schlechter Qualität werden nicht gezeigt." -- Needs review
L["INT_FILTER_HIDE_PARTY_LABEL"] = "Verstecke Beute der Gruppe" -- Needs review
L["INT_FILTER_HIDE_QUALITY_LABEL"] = "Qualitäts Grenze" -- Needs review
L["INT_FILTER_HIDE_QUALITY_TOOLTIP"] = "Verstecke Items unter einer bestimmten Qualität." -- Needs review
L["INT_FILTER_HIDE_SELF_LABEL"] = "Verstecke eigegene Beute" -- Needs review
L["INT_LOOT_HIDE_ALL"] = "Alle verstecken" -- Needs review
L["INT_MINILOOT_DESC"] = "Eigene Schriftgröße festlegen und einstellen in welchem Chatfenster der Loot angezeigt wird." -- Needs review
L["INT_MINILOOT_FONTSIZE_DEMO"] = "Passt die neue Schritfgröße?" -- Needs review
L["INT_MINILOOT_FONTSIZE_LABEL"] = "Schriftgröße" -- Needs review
L["INT_MINILOOT_FONTSIZE_TOOLTIP"] = "Gebe \"0\" ein um das Spiel entscheiden zu lassen." -- Needs review
L["INT_MINILOOT_OUTPUT_DEMO"] = "Diese Meldung sollte in %s dargestellt worden sein." -- Needs review
L["INT_MINILOOT_OUTPUT_LABEL"] = "Ausgabe Chat" -- Needs review
L["INT_ROLL_DECISIONS_LABEL"] = "Wurf Entscheidungen" -- Needs review
L["INT_ROLL_DECISIONS_TOOLTIP"] = "Die Bedarf/Gier entscheidungen werden sofort gezeigt." -- Needs review
L["INT_ROLL_DESC"] = "Verändere das Wurf Handhabungs Verhalten." -- Needs review
L["INT_ROLL_ICONS_LABEL"] = "Zeige Würfe als Icon" -- Needs review
L["INT_ROLL_SUMMARY_LABEL"] = "Wurf Zusammenfassung" -- Needs review
L["INT_ROLL_SUMMARY_TOOLTIP"] = [=[Zeige Würfelergebnisse in einer Zeile zusammen
mit dem rest des Berichtes.]=] -- Needs review
L["INT_TIMER_SLEEP_COMBAT_LABEL"] = "Warten nach Kampf" -- Needs review
L["INT_TIMER_SLEEP_EVENTS_LABEL"] = "Warte zwischen Ereignissen" -- Needs review
L["POPUP_CHAT_FRAME_OVERWRITE"] = [=[Das Chat fenster "%s" existiert bereits.
Bist du dir sicher das du es überschreiben willst?

Dadurch werden die gezeigten Meldungen wie erfahrung, Ehre usw zum Standart zurückgesetzt.]=] -- Needs review

elseif locale == "esES" or locale == "esMX" then -- Spanish or Latin American Spanish

elseif locale == "frFR" then -- French

elseif locale == "itIT" then -- Italian

elseif locale == "koKR" then -- Korean

elseif locale == "ptBR" then -- Brazilian Portuguese

elseif locale == "ruRU" then -- Russian

elseif locale == "zhCN" then -- Simplified Chinese
L["CHAT_NO_LOOT"] = "无拾取" -- Needs review
L["CHAT_ROLL"] = "掷骰" -- Needs review
L["CHAT_ROLL_D"] = "分解" -- Needs review
L["CHAT_ROLL_G"] = "贪婪" -- Needs review
L["CHAT_ROLL_N"] = "需求" -- Needs review
L["CHAT_ROLL_P"] = "放弃" -- Needs review
L["CHAT_SETTINGS_RESET"] = "这个 %s 已重设为 %d 的设置值，这可能发生在插件更新後，请查看插件设置，有些可能已被重设为默认值。" -- Needs review
L["INT_EXTRA"] = "额外" -- Needs review
L["INT_EXTRA_DESC"] = "这或许不是插件的主要功能，但可能会有所帮助。" -- Needs review
L["INT_EXTRA_MOUSEOVER_ANCHOR_LABEL"] = "提示位置定位" -- Needs review
L["INT_EXTRA_MOUSEOVER_ANCHOR_TOOLTIP"] = "定位工具提示在聊天窗口的顶端。" -- Needs review
L["INT_EXTRA_MOUSEOVER_ICON_LABEL"] = "显示工具提示图标" -- Needs review
L["INT_EXTRA_MOUSEOVER_ICON_TOOLTIP"] = "在工具提示信息中显示图标。" -- Needs review
L["INT_EXTRA_MOUSEOVER_LINKS_LABEL"] = "显示鼠标悬停连结" -- Needs review
L["INT_EXTRA_MOUSEOVER_LINKS_TOOLTIP"] = "当你鼠标悬停於一个物品\\n无须点击即可显示物品的工具提示。" -- Needs review
L["INT_EXTRA_ORIGINAL_LOOT_BUTTON"] = "创建聊天窗口！" -- Needs review
L["INT_EXTRA_ORIGINAL_LOOT_LABEL"] = "独立拾取聊天窗口" -- Needs review
L["INT_FILTER"] = "过滤" -- Needs review
L["INT_FILTER_DESC"] = "过滤你想看见的以及要隐藏和忽略的。" -- Needs review
L["INT_FILTER_HIDE_EVENTS_LABEL"] = "隐藏这些事件" -- Needs review
L["INT_FILTER_HIDE_JUNK_LABEL"] = "隐藏全部垃圾拾取" -- Needs review
L["INT_FILTER_HIDE_JUNK_TOOLTIP"] = "所有灰色质量的物品将不会显示。" -- Needs review
L["INT_FILTER_HIDE_PARTY_LABEL"] = "隐藏队伍拾取" -- Needs review
L["INT_FILTER_HIDE_QUALITY_LABEL"] = "质量临界值" -- Needs review
L["INT_FILTER_HIDE_QUALITY_TOOLTIP"] = "隐藏低於指定质量的物品。" -- Needs review
L["INT_FILTER_HIDE_SELF_LABEL"] = "隐藏自身拾取" -- Needs review
L["INT_LOOT_HIDE_ALL"] = "隐藏全部" -- Needs review
L["INT_MINILOOT_DESC"] = "设置文本字体大小以及变更信息输出的聊天窗口。" -- Needs review
L["INT_MINILOOT_FONTSIZE_DEMO"] = "新的文本大小合适吗？" -- Needs review
L["INT_MINILOOT_FONTSIZE_LABEL"] = "文本字体大小" -- Needs review
L["INT_MINILOOT_FONTSIZE_TOOLTIP"] = "设置 0 将自动调整大小。" -- Needs review
L["INT_MINILOOT_OUTPUT_DEMO"] = "信息将显示在 %s。" -- Needs review
L["INT_MINILOOT_OUTPUT_LABEL"] = "输出聊天窗口" -- Needs review
L["INT_MINILOOT_OUTPUT_TOOLTIP"] = [=[报告将会发送到你设置聊天窗口。
如果您输入无效的值将会重设为插件默认值。

"ChatFrame2"将会发送到战斗记录窗口中，
"ChatFrame3"将会发送到你自订的窗口中。

使用"/fstack"指令可开启窗口侦测工具。]=] -- Needs review
L["INT_ROLL"] = "掷骰" -- Needs review
L["INT_ROLL_DECISIONS_LABEL"] = "显示掷骰动作" -- Needs review
L["INT_ROLL_DECISIONS_TOOLTIP"] = "需求/贪婪的动作将立即显示。" -- Needs review
L["INT_ROLL_DESC"] = "变更掷骰处理方式。" -- Needs review
L["INT_ROLL_ICONS_LABEL"] = "显示掷骰图标" -- Needs review
L["INT_ROLL_ICONS_TOOLTIP"] = "将掷骰相关事件的物品连结显示为图标。" -- Needs review
L["INT_ROLL_SUMMARY_LABEL"] = "显示掷骰细节" -- Needs review
L["INT_ROLL_SUMMARY_TOOLTIP"] = [=[将掷骰结果发送独立的一行
不与其他的报告合并。]=] -- Needs review
L["INT_TIMER"] = "延迟" -- Needs review
L["INT_TIMER_DESC"] = "变更细节显示和收集资料的间隔速度。" -- Needs review
L["INT_TIMER_SLEEP_COMBAT_LABEL"] = "战斗之後延迟" -- Needs review
L["INT_TIMER_SLEEP_COMBAT_TOOLTIP"] = [=[如果设置为"1.5"将使插件在发送报告到聊天窗口前等待1.5秒。
这让你在战斗之後有时间来完成拾取动作，如果还在时间范围内，
它会将战斗中的拾取和战斗结束後的拾取合并。

如果设置为"-1"忽略战斗查看只使用事件之间的延迟时间。
如果设置为"0"将只会在战斗後才显示。]=] -- Needs review
L["INT_TIMER_SLEEP_EVENTS_LABEL"] = "事件之间延迟" -- Needs review
L["INT_TIMER_SLEEP_EVENTS_TOOLTIP"] = [=[每次有一个类似的物品拾取事件，
该插件将会等待一段时间，以确保没有更多的动作，
当它"超过时间范围"时将会发送报告，并等待新的信息。

此时间决定两个事件之间等待的时间，
如果没有下一个事件那麽它将会发送报告，并继续正常运作。]=] -- Needs review
L["POPUP_CHAT_FRAME_OVERWRITE"] = [=[聊天窗口"%s"已经存在.
你确定要覆盖它吗?

覆盖它会重设显示在默认聊天窗口的信息. (经验、荣誉、金钱、声望、等。)]=] -- Needs review

elseif locale == "zhTW" then -- Traditional Chinese

end
